//
//  SwiftUIView.swift
//  DouShouQi_App
//
//  Created by étudiant on 22/05/2024.
//

import SwiftUI

struct SwiftUIView: View {
    var body: some View {
        VStack {
            TitlePageFrame(Text: "DOU SHOU QI", ImageWidth: 200, ImageHeight: 200)
            Spacer()
            
            VStack {
                HStack{
                    VStack {
                        Button(action: {
                            // Action du bouton
                        }, label: {
                            Text("Play".uppercased())
                                .font(.headline)
                                .fontWeight(.semibold)
                                .foregroundColor(.white)
                                .frame(maxWidth: .infinity, maxHeight: 50)
                                .background(
                                    Color.red
                                )
                                .cornerRadius(0)
                        })
                        .frame(width: UIScreen.main.bounds.width / 1.7)
                        .frame(maxWidth: .infinity, alignment: .leading)
                        
                        Button(action: {
                            // Action du bouton
                        }, label: {
                            Text("Historique".uppercased())
                                .font(.headline)
                                .fontWeight(.semibold)
                                .foregroundColor(.white)
                                .frame(maxWidth: .infinity, maxHeight: 50)
                                .background(
                                    Color.red
                                )
                                .cornerRadius(0)
                        })
                        .frame(width: UIScreen.main.bounds.width / 1.7)
                        .frame(maxWidth: .infinity, alignment: .leading)
                        
                        Button(action: {
                            // Action du bouton
                        }, label: {
                            Text("Best scores".uppercased())
                                .font(.headline)
                                .fontWeight(.semibold)
                                .foregroundColor(.white)
                                .frame(maxWidth: .infinity, maxHeight: 50)
                                .background(
                                    Color.red
                                )
                                .cornerRadius(0)
                        })
                        .frame(width: UIScreen.main.bounds.width / 1.7)
                        .frame(maxWidth: .infinity, alignment: .leading)
                        
                        Button(action: {
                            // Action du bouton
                        }, label: {
                            Text("Players".uppercased())
                                .font(.headline)
                                .fontWeight(.semibold)
                                .foregroundColor(.white)
                                .frame(maxWidth: .infinity, maxHeight: 50)
                                .background(
                                    Color.red
                                )
                                .cornerRadius(0)
                        })
                        .frame(width: UIScreen.main.bounds.width / 1.7)
                        .frame(maxWidth: .infinity, alignment: .leading)
                    }
                    .padding()
                }
            }
            .padding(.horizontal, 10)
            
            Spacer()
        }
    }
}


struct SwiftUIView_Previews: PreviewProvider {
    static var previews: some View {
        SwiftUIView()
    }
}
